Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# reddit.subreddit

class praw.models.SubredditHelper(reddit: praw.Reddit, _data: Optional[Dict[str, Any]])

  Provide a set of functions to interact with Subreddits.

  __call__(display_name: str) → praw.models.Subreddit

    Return a lazy instance of `Subreddit`.

    Parameters:

      display_name – The name of the subreddit.

  __init__(reddit: praw.Reddit, _data: Optional[Dict[str, Any]])

    Initialize a `PRAWBase` instance.

    Parameters:

      reddit – An instance of `Reddit`.

  create(name: str, *, link_type: str = 'any', subreddit_type: str = 'public', title: Optional[str] = None, wikimode: str = 'disabled', **other_settings: Optional[str]) → praw.models.Subreddit

    Create a new `Subreddit`.

    Parameters:

      - name – The name for the new subreddit.

      - link_type – The types of submissions users can make. One of `"any"`, `"link"`, or `"self"` (default: `"any"`).

      - subreddit_type – One of `"archived"`, `"employees_only"`, `"gold_only"`, `"gold_restricted"`, `"private"`, `"public"`, or `"restricted"` (default: `"public"`).

      - title – The title of the subreddit. When `None` or `""` use the value of `name`.

      - wikimode – One of `"anyone"`, `"disabled"`, or `"modonly"` (default: `"disabled"`).

    Any keyword parameters not provided, or set explicitly to `None`, will take on a default value assigned by the Reddit server.

    See also

    `update()` for documentation of other available settings.

  classmethod parse(data: Dict[str, Any], reddit: praw.Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters:

      - data – The structured data.

      - reddit – An instance of `Reddit`.